<?php

include './head.php';

$id = urldecode($_GET['id']);

$qq = $user.'@qq.com';

if (!file_get_contents('./products/'.$id.'.json')) {
die('<meta http-equiv="refresh" content="1;url=./trade.fx">');
}

$data = @file_get_contents('./products/'.$id.'.json');

$data = json_decode($data, true);

if ($data['hidden'] == 1) {
die('<meta http-equiv="refresh" content="1;url=./trade.fx">');
}

if ($data['have'] <= 0) {
die('<meta http-equiv="refresh" content="1;url=./trade.fx">');
}


if ($bi < $data['bi'] or $Star < $data['star']) {
die('<meta http-equiv="refresh" content="1;url=./trade.fx">');
}


$mod = $data['mod'];

$Main_route = './mods/'.$mod.'/Main.php';

include $Main_route;

$Re = @ready_products($data);

if (!$Re) {
die('无法读取配置模板!<meta http-equiv="refresh" content="3;url=./trade.fx">');
}

print_r($Re);
?>